# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KIO::NetRC Class Reference

A Singleton class that provides access to passwords stored in .netrc and kionetrc for automatic login purposes. An interface to kionetrc and the ftp .netrc files. More...

`#include <authinfo.h>`

Collaboration diagram for KIO::NetRC:

[legend]
List of all members.

## Public Types

enum | LookUpMode { exactOnly = 0x0002, defaultOnly = 0x0004, presetOnly = 0x0008 }
| Specifies the mode to be used when searching for a matching automatic login info for a given site :. More...

## Public Member Functions

bool | lookup (const KURL &, AutoLogin &, bool userealnetrc=false, QString type=QString::null, int mode=(exactOnly|defaultOnly))
void | reload ()

## Static Public Member Functions

NetRC * | self ()

## Protected Member Functions

QString | extract (const char *, const char *, int &)
int | openf (const QString &)
void | parse (int)

## Detailed Description

A Singleton class that provides access to passwords stored in .netrc and kionetrc for automatic login purposes. An interface to kionetrc and the ftp .netrc files.

Author:
  Dawit Alemayehu <adawit@kde.org>

Definition at line 237 of file authinfo.h.

## Member Enumeration Documentation

enum KIO::NetRC::LookUpMode

Specifies the mode to be used when searching for a matching automatic login info for a given site :.

exactOnly search entries with exact host name matches. defaultOnly search entries that are specified as "default". presetOnly search entries that are specified as "preset".

See also:
  lookup

Definition at line 251 of file authinfo.h.

The documentation for this class was generated from the following files:

- authinfo.h
- authinfo.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:24:58 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001